import test from 'ava';
import isNotDeletableLine from './isNotDeletableLine';
var ok = ['', 'await item1.walk();', 'player.forward = [1, 0];', 'feeles.openCode("code.js");'];
var ng = [undefined, "window.player = new Player(('\u25BC \u30B9\u30AD\u30F3', Skin.\u30CA\u30A4\u30C8)); // \u30D7\u30EC\u30A4\u30E4\u30FC\u3092\u3064\u304F\u308B", 'import "preload";', 'item.breath({', '/*+ アセット */', '// ここからスライム', '// ここまでスライム', 'function f() {', 'const item1 = new RPGObject()', 'Hack.createMap(`', '`);', 'if (true) {', '}', '/*', '*/'];
test('isNotDeletableLine', function (t) {
  for (var _i = 0; _i < ok.length; _i++) {
    var item = ok[_i];
    t.false(isNotDeletableLine(item));
  }

  for (var _i2 = 0; _i2 < ng.length; _i2++) {
    var _item = ng[_i2];
    t.true(isNotDeletableLine(_item));
  }
});